Bug 89204 - gnome-session hogs RAM
gnome-session hogs RAM
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnome-session (Show other bugs)
9
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-20 15:47 EDT by Sam Steingold
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-31 15:38:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sam Steingold 2003-04-20 15:47:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030313

Description of problem:
gnome-session process is the most RAM-intensive process on my system:  

1400 sds      15   0 47536  28M   624 S     0.0  5.6   0:04   0 gnome-session

Version-Release number of selected component (if applicable):
gnome-session-2.2.0.2-4

How reproducible:
Always

Steps to Reproduce:
start an X session
open an xterm
run top(1)

Actual Results:  gnome-session gobbles up almost 30M in RSS

Expected Results:  well, since, IMO, gnome-session does not do anything usefull
during normal operation (i.e., after start is done and before shutdown is
requested), this process should not be there at all.
Comment 1 Havoc Pennington 2003-04-21 02:45:37 EDT
Not even close to that size on my system; I'll have to try your exact
reproduction instructions. I would expect many duplicate reports of this if 
it happened to everyone though, so perhaps there is something unique about 
your system.

(gnome-session does do various things while the desktop is running, they 
just are "behind the scenes" things)
Comment 2 Sam Steingold 2003-04-21 10:02:29 EDT
well, now (next day) it's this:

1400 sds       15   0 47476 1016   564 S     0.0  0.1   0:06   0 gnome-session

so, I guess, the RSS drops down, but SIZE remains obsenely high
(and it implies that RSS might go up again as soon as gnome-session
will want to do something).
Comment 3 Ray Strode [halfline] 2005-05-12 11:54:09 EDT
Hi,
I'm going through bugs assigned to me and attempting to clean some of the older,
fixed ones up.

This bug hasn't changed in over a year old now.  Are you still seeing the problem? 

(This a batch message is being sent to all my bugs that haven't changed in a year)
Comment 4 Ray Strode [halfline] 2005-05-31 15:38:56 EDT
Hi,

This bug has been in the NEEDINFO state for at least a couple of weeks now.  I'm
going to close the bug, but if you can provide the required information feel
free to open a new report.

Thanks.

(This is a mass message being sent to a bunch of bug reports)

Note You need to log in before you can comment on or make changes to this bug.